Orders
1 min
GET
https://tnapi.ticketpay.de/exports/shop_orders
Query Parameters
- fromstringExampleDescription
- tostringExampleDescription
- filter_bystringExampleDescription
- time_periodstringDescription
- time_rangeintegerDescription
- idintegerDescription
- shop_idintegerDescription
- event_idintegerDescription
- statusstringDescription
- emailstringDescription
- sso_user_idstringDescription
- per_pageintegerDescription
- pageintegerDescription
Header Parameters
- AuthorizationstringrequiredDescription
Responses
200
- get_orders
- totalintegerExample
- pageintegerExample
- sizeintegerExample
- dataobject[]
- idintegerExample
- amount_centsintegerExample
- amountfloatExample
- bill_numberstringExample
- channelstringExample
- statusstringExample
- company_namestringExample
- currencystringExample
- shop_idintegerExample
- event_idintegerExample
- created_isostringExample
- updated_isostringExample
- birthdaystringExample
- citystringExample
- countrystringExample
- mailstringExample
- firstnamestringExample
- genderstringExample
- customer_ipstringExample
- lastnamestringExample
- phonestringExample
- streetstringExample
- zipstringExample
- deliverybooleanExample
- delivery_giftboolean
- delivery_statusstringExample
- sponsorstringExample
- campaignstringExample
- languagestringExample
- newsletterboolean
- paidbooleanExample
- parent_idintegerExample
- payment_methodstringExample
- used_codestringExample
- questions_answersobject[]Example
[ [ "Bist du ein Fan?", "yes" ], [ "Do you need support?", "Maybe" ] ] - ticket_linkstringExample
- sso_user_idstringExample
- timeout_timestringExample
401
- not_authorized
- messagestringExample
curl
curl --request GET \
--url https://tnapi.ticketpay.de/exports/shop_orders \
--header 'accept: application/json' \
--header 'authorization: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("authorization", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://tnapi.ticketpay.de/exports/shop_orders", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://tnapi.ticketpay.de/exports/shop_orders")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["authorization"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://tnapi.ticketpay.de/exports/shop_orders"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'authorization': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Response for get shop orders.
{
"total": 31,
"page": 1,
"size": 31,
"data": [
{
"id": 3256520,
"amount_cents": 14669,
"amount": 20,
"bill_number": "TP-989-1011",
"channel": "shop",
"status": "approved",
"company_name": "TicketPAY GmbH",
"currency": "EUR",
"shop_id": 14669,
"event_id": 78001,
"created_iso": "2022-02-26T19:29:42+01:00",
"updated_iso": "2022-02-26T19:29:43+01:00",
"birthday": "05.12.1999",
"city": "Hamm",
"country": "DE",
"mail": "[email protected]",
"firstname": "Max",
"gender": "m",
"customer_ip": "87.123.87.96",
"lastname": "Mustermann",
"phone": 238112345678,
"street": "Neue Bahnhofstr. 1-3",
"zip": 59065,
"delivery": true,
"delivery_gift": false,
"delivery_status": "pending",
"sponsor": "MySponsor",
"campaign": "xxlaction",
"language": "de",
"newsletter": false,
"paid": true,
"parent_id": 3214560,
"payment_method": "KLARNA",
"used_code": "XC23XS2",
"questions_answers": [
{}
],
"ticket_link": "https://my.ticketpay.de/order/c0974c9f1671ecac1ddc873a417a3b9b",
"sso_user_id": "subject_21345rez34543",
"timeout_time": "2025-12-31T23:00:00+01:00"
}
]
}401
// Response for a failed authentification.
{
"message": "Unauthorized"
}